.float-label-control { position: relative; margin-bottom: .5em; margin-top: 15px;} /*1.5em;*/
.float-label-control ::-webkit-input-placeholder { color: transparent; }
.float-label-control :-moz-placeholder { color: transparent; }
.float-label-control ::-moz-placeholder { color: transparent; }
.float-label-control :-ms-input-placeholder { color: transparent; }
.float-label-control input:-webkit-autofill,
.float-label-control .bootstrap-select:-webkit-autofill,
.float-label-control .select2-combo:-webkit-autofill,
.float-label-control textarea:-webkit-autofill { background-color: transparent !important; -webkit-box-shadow: 0 0 0 1000px white inset !important; -moz-box-shadow: 0 0 0 1000px white inset !important; box-shadow: 0 0 0 1000px white inset !important; }
.float-label-control input, .float-label-control textarea, .float-label-control label, .float-label-control .bootstrap-select, .float-label-control .select2-combo { font-size: 14px; box-shadow: none; -webkit-box-shadow: none; }
.float-label-control input:focus,
.float-label-control .bootstrap-select:focus,
.float-label-control .select2-combo:focus,
.float-label-control textarea:focus { box-shadow: none; -webkit-box-shadow: none; border-bottom-width: 2px; padding-bottom: 0; }
.float-label-control textarea:focus { padding-bottom: 4px; }
.float-label-control input, .float-label-control textarea,
.float-label-control .bootstrap-select,
.float-label-control .select2-combo
{ display: block; width: 100%;padding: 0.1em 5px 1px 5px;border: none;border-radius: 0px;border-bottom: 1px solid #aaa;outline: none;margin: 0px;background: none;font-size: 12px;}
.float-label-control textarea { padding: 0.1em 0em 5px 0em; }
.float-label-control label { position: absolute; font-weight: normal; top: -1.3em; left: 0.0em; color: #e8570e; z-index: -1; font-size: 0.85em;/* -moz-animation: float-labels 300ms none ease-out; -webkit-animation: float-labels 300ms none ease-out; -o-animation: float-labels 300ms none ease-out; -ms-animation: float-labels 300ms none ease-out; -khtml-animation: float-labels 300ms none ease-out; animation: float-labels 300ms none ease-out; / There is a bug sometimes pausing the animation. This avoids that./ animation-play-state: running !important; -webkit-animation-play-state: running !important;*/ }
.float-label-control input.empty + label,
.float-label-control .bootstrap-select.empty + label,
.float-label-control .select2-combo.empty + span + label,
.float-label-control textarea.empty + label { top: 0.1em; font-size: 1.5em; animation: none; -webkit-animation: none;
    z-index: 1;
    background-color: transparent !important;
    border: 0px !important;
    color: #aaa;
    font-size: 12px;
    padding: 6px 5px 1px 5px;
}
.float-label-control input:not(.empty) + label,
.float-label-control .bootstrap-select:not(.empty) + label,
.float-label-control .select2-combo:not(.empty) + span + label,
.float-label-control .image-preview:not(.empty) + label,
.float-label-control textarea:not(.empty) + label { z-index: 1; }
.float-label-control input:not(.empty):focus + label,
.float-label-control .bootstrap-select:not(.empty):focus + label,
.float-label-control .select2-combo:not(.empty):focus + span + label,
.float-label-control textarea:not(.empty):focus + label { color: #f45e1d; border-bottom: 0px;  border-top: 1px solid #28a1ec; border-left: 1px solid #28a1ec; border-right: 1px solid #28a1ec; }
.float-label-control input.input-error.empty:focus + label,
.float-label-control .bootstrap-select.input-error.empty:focus + label,
.float-label-control .select2-combo.input-error.empty:focus + span + label,
.float-label-control textarea.input-error.empty:focus + label { color: #f45e1d; border-bottom: 0px;  border-top: 1px solid #d23434; border-left: 1px solid #d23434; border-right: 1px solid #d23434; }
.float-label-control.label-bottom label { -moz-animation: float-labels-bottom 300ms none ease-out; -webkit-animation: float-labels-bottom 300ms none ease-out; -o-animation: float-labels-bottom 300ms none ease-out; -ms-animation: float-labels-bottom 300ms none ease-out; -khtml-animation: float-labels-bottom 300ms none ease-out; animation: float-labels-bottom 300ms none ease-out; }
.float-label-control.label-bottom input:not(.empty) + label,
.float-label-control.label-bottom textarea:not(.empty) + label { top: 3em; }
.float-label-control > .bootstrap-select > .btn,
.float-label-control > .select2-combo > .btn{
    height: 30px;
}
.float-label-control .image-preview
{/* display: block; */width: 100%;/* padding: 0.1em 5px 1px 5px; *//* border: none; */border-radius: 0px;/* border-bottom: 1px solid #aaa; */outline: none;margin: 0px;background: none;font-size: 12px;}
.float-label-control label {
    background-color: #fff;
    border-bottom: 0px;
    border-top: 1px solid #ccc;
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
    border-radius: 4px 4px 0px 0px;
    padding: 0px 4px;
}
.float-label-control input,
.float-label-control .bootstrap-select,
.float-label-control .select2-combo,
.float-label-control textarea {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 0px 4px 4px 4px;
}
.float-label-control input.empty,
.float-label-control .bootstrap-select.empty,
.float-label-control .select2-combo.empty,
.float-label-control textarea {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px 4px 4px 4px;
}
.float-label-control input[disabled].empty,
.float-label-control .bootstrap-select[disabled].empty,
.float-label-control .select2-combo[disabled].empty {
    background-color: #eee;
}
.float-label-control input[disabled] + label {
    cursor: not-allowed;
}
.float-label-control .image-preview.input-error {
    border: 1px solid #d23434 !important;
    border-radius: 4px 4px 4px 4px;
}
.float-label-control input.input-error + label,
.float-label-control input:focus.input-error + label,
.float-label-control .bootstrap-select.input-error + label,
.float-label-control .bootstrap-select:focus.input-error + label,
.float-label-control .select2-combo.input-error + span + label,
.float-label-control .select2-combo:focus.input-error + span + label,
.float-label-control .image-preview.input-error + label {
    background-color: #b63b3b;
    color: #fff;
    border-top: 1px solid #d23434;
    border-left: 1px solid #d23434;
    border-right: 1px solid #d23434;
}
.float-label-control input.input-error.empty + label,
.float-label-control input:focus.input-error.empty + label,
.float-label-control .bootstrap-select.empty + label,
.float-label-control .bootstrap-select:focus.input-error.empty + label,
.float-label-control .select2-combo.empty + span + label,
.float-label-control .select2-combo:focus.input-error.empty + span + label {
    color: #d23434;
}
@keyframes float-labels {
    0% { opacity: 1; color: #aaa; top: 0.1em; font-size: 1.5em; }
    20% { font-size: 1.5em; opacity: 0; }
    30% { top: 0.1em; }
    50% { opacity: 0; font-size: 0.85em; }
    100% { top: -1em; opacity: 1; }
}

@-webkit-keyframes float-labels {
    0% { opacity: 1; color: #aaa; top: 0.1em; font-size: 1.5em; }
    20% { font-size: 1.5em; opacity: 0; }
    30% { top: 0.1em; }
    50% { opacity: 0; font-size: 0.85em; }
    100% { top: -1em; opacity: 1; }
}

@keyframes float-labels-bottom {
    0% { opacity: 1; color: #aaa; top: 0.1em; font-size: 1.5em; }
    20% { font-size: 1.5em; opacity: 0; }
    30% { top: 0.1em; }
    50% { opacity: 0; font-size: 0.85em; }
    100% { top: 3em; opacity: 1; }
}

@-webkit-keyframes float-labels-bottom {
    0% { opacity: 1; color: #aaa; top: 0.1em; font-size: 1.5em; }
    20% { font-size: 1.5em; opacity: 0; }
    30% { top: 0.1em; }
    50% { opacity: 0; font-size: 0.85em; }
    100% { top: 3em; opacity: 1; }
}
.lineInput{
    margin-top: 15px;
}